WSLUPATH(1)

NAME
wslupath(DEPRECATED) - Component of Windows 10 Linux Subsystem Utility

SYNOPSIS
wslupath [-dOr] [-D|-A|-T|-S|-W|-s|-su|-H|-P|...NAME...]

[-h|-v|-R]

DESCRIPTION
This is a WSL Windows path Converter that can convert Windows path to other styles of path.

COMMANDS

  Output Type Options
Without a type, it will detect path style automatically.

-O, --original
    print original (Windows) form of path(C:\Windows\System32)

-d, --doubledash-dir
    print Windows form of path with double backslash(C:\\Windows\\System32)

-r, --reg-data
    use the registry data to print path[wslpath -R to know more]

  System Path
-D, --desktop print desktop path and exit

-A, --appdata
    print AppData path(%APPDATA%) and exit

-T, --temp
    print temp path(%TMP%) and exit

-S, --sysdir
    print system path and exit

-W, --windir
    print Windows path and exit

-s, --start-menu
    print Start Menu path and exit

-su, --startup
    print Startup path and exit

-H, --home
    print user home path (%HOMEPATH%) and exit

-P, --program-files
    print Program Files path (%ProgramFiles%) and exit

  Other Options

-h, --help
    print a simple help

-v, --version
    print current version

-R, --avail-reg
    print available registry input

AUTHOR
Created by Patrick Wu <me@patrickwu.space>

REPORTING BUGS
Report bugs to <https://github.com/wslutilities/wslu/issues>; For Ubuntu specific/related bugs, report to <https://bugs.launchpad.net/ubuntu/+source/wslu>.

However, keep in mind this tool is deprecated and bugs reported for this tool will have a high chance to be ignored.

COPYRIGHT
This is free software; you can redistribute it and/or modify it under the terms of the GNU GPL version 3 or (at your option) any later version. There is NO warranty; not even MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

SEE ALSO
wslvar(1), wslu(7)